From bbcf2154e65a49ed9d24b35ed9aae4f448edeb22 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 12 2020 02:04:25 +0000
Subject: [PATCH 620/2232] Accept bracketed in addition to quoted extra includes


Invoked as:

    cxxbridge path/to/file.rs -i '<path/to/bracketed>' -i path/to/quoted

Emits:

    #include <path/to/bracketed>
    #include "path/to/quoted"

---

diff --git a/gen/src/include.rs b/gen/src/include.rs
index 129a8e6..2f030ba 100644
--- a/gen/src/include.rs
+++ b/gen/src/include.rs
@@ -61,7 +61,11 @@ impl Extend<String> for Includes {
 impl Display for Includes {
     fn fmt(&self, f: &mut fmt::Formatter) -> fmt::Result {
         for include in &self.custom {
-            writeln!(f, "#include \"{}\"", include.escape_default())?;
+            if include.starts_with('<') && include.ends_with('>') {
+                writeln!(f, "#include {}", include)?;
+            } else {
+                writeln!(f, "#include \"{}\"", include.escape_default())?;
+            }
         }
         if self.array {
             writeln!(f, "#include <array>")?;

